| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gclib.GDataRecord52000 Struct Reference

Data record struct for DMC-52000 controller. Same as DMC-4000, with bank indicator added at byte 40. More...

Inheritance diagram for gclib.GDataRecord52000:

## Public Member Functions
byte[] | byte_array ()
| Returns the data record as a byte array and allows for access to individual bytes.

## Public Attributes
UB | header_0
| 1st Byte of Header.
UB | header_1
| 2nd Byte of Header.
UB | header_2
| 3rd Byte of Header.
UB | header_3
| 4th Byte of Header.
UW | sample_number
| sample number.
UB | input_bank_0
| general input bank 0 (inputs 1-8).
UB | input_bank_1
| general input bank 1 (inputs 9-16).
UB | input_bank_2
| general input bank 2 (inputs 17-24).
UB | input_bank_3
| general input bank 3 (inputs 25-32).
UB | input_bank_4
| general input bank 4 (inputs 33-40).
UB | input_bank_5
| general input bank 5 (inputs 41-48).
UB | input_bank_6
| general input bank 6 (inputs 49-56).
UB | input_bank_7
| general input bank 7 (inputs 57-64).
UB | input_bank_8
| general input bank 8 (inputs 65-72).
UB | input_bank_9
| general input bank 9 (inputs 73-80).
UB | output_bank_0
| general output bank 0 (outputs 1-8).
UB | output_bank_1
| general output bank 1 (outputs 9-16).
UB | output_bank_2
| general output bank 2 (outputs 17-24).
UB | output_bank_3
| general output bank 3 (outputs 25-32).
UB | output_bank_4
| general output bank 4 (outputs 33-40).
UB | output_bank_5
| general output bank 5 (outputs 41-48).
UB | output_bank_6
| general output bank 6 (outputs 49-56).
UB | output_bank_7
| general output bank 7 (outputs 57-64).
UB | output_bank_8
| general output bank 8 (outputs 65-72).
UB | output_bank_9
| general output bank 9 (outputs 73-80).
SW | reserved_0
| Reserved.
SW | reserved_2
| Reserved.
SW | reserved_4
| Reserved.
SW | reserved_6
| Reserved.
SW | reserved_8
| Reserved.
SW | reserved_10
| Reserved.
SW | reserved_12
| Reserved.
UB | ethercat_bank
| EtherCAT Bank Indicator.
UB | reserved_14
| Reserved.
UB | ethernet_status_a
| Ethernet Handle A Status.
UB | ethernet_status_b
| Ethernet Handle B Status.
UB | ethernet_status_c
| Ethernet Handle C Status.
UB | ethernet_status_d
| Ethernet Handle D Status.
UB | ethernet_status_e
| Ethernet Handle E Status.
UB | ethernet_status_f
| Ethernet Handle F Status.
UB | ethernet_status_g
| Ethernet Handle G Status.
UB | ethernet_status_h
| Ethernet Handle H Status.
UB | error_code
| error code.
UB | thread_status
| thread status
UL | amplifier_status
| Amplifier Status.
UL | contour_segment_count
| Segment Count for Contour Mode.
UW | contour_buffer_available
| Buffer space remaining, Contour Mode.
UW | s_plane_segment_count
| segment count of coordinated move for S plane.
UW | s_plane_move_status
| coordinated move status for S plane.
SL | s_distance
| distance traveled in coordinated move for S plane.
UW | s_plane_buffer_available
| Buffer space remaining, S Plane.
UW | t_plane_segment_count
| segment count of coordinated move for T plane.
UW | t_plane_move_status
| Coordinated move status for T plane.
SL | t_distance
| distance traveled in coordinated move for T plane.
UW | t_plane_buffer_available
| Buffer space remaining, T Plane.
UW | axis_a_status
| A axis status.
UB | axis_a_switches
| A axis switches.
UB | axis_a_stop_code
| A axis stop code.
SL | axis_a_reference_position
| A axis reference position.
SL | axis_a_motor_position
| A axis motor position.
SL | axis_a_position_error
| A axis position error.
SL | axis_a_aux_position
| A axis auxiliary position.
SL | axis_a_velocity
| A axis velocity.
SL | axis_a_torque
| A axis torque.
UW | axis_a_analog_in
| A axis analog input.
UB | axis_a_halls
| A Hall Input Status.
UB | axis_a_reserved
| Reserved.
SL | axis_a_variable
| A User-defined variable (ZA).
UW | axis_b_status
| B axis status.
UB | axis_b_switches
| B axis switches.
UB | axis_b_stop_code
| B axis stop code.
SL | axis_b_reference_position
| B axis reference position.
SL | axis_b_motor_position
| B axis motor position.
SL | axis_b_position_error
| B axis position error.
SL | axis_b_aux_position
| B axis auxiliary position.
SL | axis_b_velocity
| B axis velocity.
SL | axis_b_torque
| B axis torque.
UW | axis_b_analog_in
| B axis analog input.
UB | axis_b_halls
| B Hall Input Status.
UB | axis_b_reserved
| Reserved.
SL | axis_b_variable
| B User-defined variable (ZA).
UW | axis_c_status
| C axis status.
UB | axis_c_switches
| C axis switches.
UB | axis_c_stop_code
| C axis stop code.
SL | axis_c_reference_position
| C axis reference position.
SL | axis_c_motor_position
| C axis motor position.
SL | axis_c_position_error
| C axis position error.
SL | axis_c_aux_position
| C axis auxiliary position.
SL | axis_c_velocity
| C axis velocity.
SL | axis_c_torque
| C axis torque.
UW | axis_c_analog_in
| C axis analog input.
UB | axis_c_halls
| C Hall Input Status.
UB | axis_c_reserved
| Reserved.
SL | axis_c_variable
| C User-defined variable (ZA).
UW | axis_d_status
| D axis status.
UB | axis_d_switches
| D axis switches.
UB | axis_d_stop_code
| D axis stop code.
SL | axis_d_reference_position
| D axis reference position.
SL | axis_d_motor_position
| D axis motor position.
SL | axis_d_position_error
| D axis position error.
SL | axis_d_aux_position
| D axis auxiliary position.
SL | axis_d_velocity
| D axis velocity.
SL | axis_d_torque
| D axis torque.
UW | axis_d_analog_in
| D axis analog input.
UB | axis_d_halls
| D Hall Input Status.
UB | axis_d_reserved
| Reserved.
SL | axis_d_variable
| D User-defined variable (ZA).
UW | axis_e_status
| E axis status.
UB | axis_e_switches
| E axis switches.
UB | axis_e_stop_code
| E axis stop code.
SL | axis_e_reference_position
| E axis reference position.
SL | axis_e_motor_position
| E axis motor position.
SL | axis_e_position_error
| E axis position error.
SL | axis_e_aux_position
| E axis auxiliary position.
SL | axis_e_velocity
| E axis velocity.
SL | axis_e_torque
| E axis torque.
UW | axis_e_analog_in
| E axis analog input.
UB | axis_e_halls
| E Hall Input Status.
UB | axis_e_reserved
| Reserved.
SL | axis_e_variable
| E User-defined variable (ZA).
UW | axis_f_status
| F axis status.
UB | axis_f_switches
| F axis switches.
UB | axis_f_stop_code
| F axis stop code.
SL | axis_f_reference_position
| F axis reference position.
SL | axis_f_motor_position
| F axis motor position.
SL | axis_f_position_error
| F axis position error.
SL | axis_f_aux_position
| F axis auxiliary position.
SL | axis_f_velocity
| F axis velocity.
SL | axis_f_torque
| F axis torque.
UW | axis_f_analog_in
| F axis analog input.
UB | axis_f_halls
| F Hall Input Status.
UB | axis_f_reserved
| Reserved.
SL | axis_f_variable
| F User-defined variable (ZA).
UW | axis_g_status
| G axis status.
UB | axis_g_switches
| G axis switches.
UB | axis_g_stop_code
| G axis stop code.
SL | axis_g_reference_position
| G axis reference position.
SL | axis_g_motor_position
| G axis motor position.
SL | axis_g_position_error
| G axis position error.
SL | axis_g_aux_position
| G axis auxiliary position.
SL | axis_g_velocity
| G axis velocity.
SL | axis_g_torque
| G axis torque.
UW | axis_g_analog_in
| G axis analog input.
UB | axis_g_halls
| G Hall Input Status.
UB | axis_g_reserved
| Reserved.
SL | axis_g_variable
| G User-defined variable (ZA).
UW | axis_h_status
| H axis status.
UB | axis_h_switches
| H axis switches.
UB | axis_h_stop_code
| H axis stop code.
SL | axis_h_reference_position
| H axis reference position.
SL | axis_h_motor_position
| H axis motor position.
SL | axis_h_position_error
| H axis position error.
SL | axis_h_aux_position
| H axis auxiliary position.
SL | axis_h_velocity
| H axis velocity.
SL | axis_h_torque
| H axis torque.
UW | axis_h_analog_in
| H axis analog input.
UB | axis_h_halls
| H Hall Input Status.
UB | axis_h_reserved
| Reserved.
SL | axis_h_variable
| H User-defined variable (ZA).

## Detailed Description

Data record struct for DMC-52000 controller. Same as DMC-4000, with bank indicator added at byte 40.

Definition at line 1110 of file gclib.cs.

## Member Function Documentation

## ◆ byte_array()

byte[] gclib.GDataRecord52000.byte_array | ( |  | ) |
| inline

Returns the data record as a byte array and allows for access to individual bytes.

Implements gclib.GDataRecord.

Definition at line 1112 of file gclib.cs.

## Member Data Documentation

## ◆ header_0

UB gclib.GDataRecord52000.header_0

1st Byte of Header.

Definition at line 1115 of file gclib.cs.

## ◆ header_1

UB gclib.GDataRecord52000.header_1

2nd Byte of Header.

Definition at line 1116 of file gclib.cs.

## ◆ header_2

UB gclib.GDataRecord52000.header_2

3rd Byte of Header.

Definition at line 1117 of file gclib.cs.

## ◆ header_3

UB gclib.GDataRecord52000.header_3

4th Byte of Header.

Definition at line 1118 of file gclib.cs.

## ◆ sample_number

UW gclib.GDataRecord52000.sample_number

sample number.

Definition at line 1120 of file gclib.cs.

## ◆ input_bank_0

UB gclib.GDataRecord52000.input_bank_0

general input bank 0 (inputs 1-8).

Definition at line 1122 of file gclib.cs.

## ◆ input_bank_1

UB gclib.GDataRecord52000.input_bank_1

general input bank 1 (inputs 9-16).

Definition at line 1123 of file gclib.cs.

## ◆ input_bank_2

UB gclib.GDataRecord52000.input_bank_2

general input bank 2 (inputs 17-24).

Definition at line 1124 of file gclib.cs.

## ◆ input_bank_3

UB gclib.GDataRecord52000.input_bank_3

general input bank 3 (inputs 25-32).

Definition at line 1125 of file gclib.cs.

## ◆ input_bank_4

UB gclib.GDataRecord52000.input_bank_4

general input bank 4 (inputs 33-40).

Definition at line 1126 of file gclib.cs.

## ◆ input_bank_5

UB gclib.GDataRecord52000.input_bank_5

general input bank 5 (inputs 41-48).

Definition at line 1127 of file gclib.cs.

## ◆ input_bank_6

UB gclib.GDataRecord52000.input_bank_6

general input bank 6 (inputs 49-56).

Definition at line 1128 of file gclib.cs.

## ◆ input_bank_7

UB gclib.GDataRecord52000.input_bank_7

general input bank 7 (inputs 57-64).

Definition at line 1129 of file gclib.cs.

## ◆ input_bank_8

UB gclib.GDataRecord52000.input_bank_8

general input bank 8 (inputs 65-72).

Definition at line 1130 of file gclib.cs.

## ◆ input_bank_9

UB gclib.GDataRecord52000.input_bank_9

general input bank 9 (inputs 73-80).

Definition at line 1131 of file gclib.cs.

## ◆ output_bank_0

UB gclib.GDataRecord52000.output_bank_0

general output bank 0 (outputs 1-8).

Definition at line 1133 of file gclib.cs.

## ◆ output_bank_1

UB gclib.GDataRecord52000.output_bank_1

general output bank 1 (outputs 9-16).

Definition at line 1134 of file gclib.cs.

## ◆ output_bank_2

UB gclib.GDataRecord52000.output_bank_2

general output bank 2 (outputs 17-24).

Definition at line 1135 of file gclib.cs.

## ◆ output_bank_3

UB gclib.GDataRecord52000.output_bank_3

general output bank 3 (outputs 25-32).

Definition at line 1136 of file gclib.cs.

## ◆ output_bank_4

UB gclib.GDataRecord52000.output_bank_4

general output bank 4 (outputs 33-40).

Definition at line 1137 of file gclib.cs.

## ◆ output_bank_5

UB gclib.GDataRecord52000.output_bank_5

general output bank 5 (outputs 41-48).

Definition at line 1138 of file gclib.cs.

## ◆ output_bank_6

UB gclib.GDataRecord52000.output_bank_6

general output bank 6 (outputs 49-56).

Definition at line 1139 of file gclib.cs.

## ◆ output_bank_7

UB gclib.GDataRecord52000.output_bank_7

general output bank 7 (outputs 57-64).

Definition at line 1140 of file gclib.cs.

## ◆ output_bank_8

UB gclib.GDataRecord52000.output_bank_8

general output bank 8 (outputs 65-72).

Definition at line 1141 of file gclib.cs.

## ◆ output_bank_9

UB gclib.GDataRecord52000.output_bank_9

general output bank 9 (outputs 73-80).

Definition at line 1142 of file gclib.cs.

## ◆ reserved_0

SW gclib.GDataRecord52000.reserved_0

Reserved.

Definition at line 1144 of file gclib.cs.

## ◆ reserved_2

SW gclib.GDataRecord52000.reserved_2

Reserved.

Definition at line 1145 of file gclib.cs.

## ◆ reserved_4

SW gclib.GDataRecord52000.reserved_4

Reserved.

Definition at line 1146 of file gclib.cs.

## ◆ reserved_6

SW gclib.GDataRecord52000.reserved_6

Reserved.

Definition at line 1147 of file gclib.cs.

## ◆ reserved_8

SW gclib.GDataRecord52000.reserved_8

Reserved.

Definition at line 1148 of file gclib.cs.

## ◆ reserved_10

SW gclib.GDataRecord52000.reserved_10

Reserved.

Definition at line 1149 of file gclib.cs.

## ◆ reserved_12

SW gclib.GDataRecord52000.reserved_12

Reserved.

Definition at line 1150 of file gclib.cs.

## ◆ ethercat_bank

UB gclib.GDataRecord52000.ethercat_bank

EtherCAT Bank Indicator.

Definition at line 1151 of file gclib.cs.

## ◆ reserved_14

UB gclib.GDataRecord52000.reserved_14

Reserved.

Definition at line 1152 of file gclib.cs.

## ◆ ethernet_status_a

UB gclib.GDataRecord52000.ethernet_status_a

Ethernet Handle A Status.

Definition at line 1154 of file gclib.cs.

## ◆ ethernet_status_b

UB gclib.GDataRecord52000.ethernet_status_b

Ethernet Handle B Status.

Definition at line 1155 of file gclib.cs.

## ◆ ethernet_status_c

UB gclib.GDataRecord52000.ethernet_status_c

Ethernet Handle C Status.

Definition at line 1156 of file gclib.cs.

## ◆ ethernet_status_d

UB gclib.GDataRecord52000.ethernet_status_d

Ethernet Handle D Status.

Definition at line 1157 of file gclib.cs.

## ◆ ethernet_status_e

UB gclib.GDataRecord52000.ethernet_status_e

Ethernet Handle E Status.

Definition at line 1158 of file gclib.cs.

## ◆ ethernet_status_f

UB gclib.GDataRecord52000.ethernet_status_f

Ethernet Handle F Status.

Definition at line 1159 of file gclib.cs.

## ◆ ethernet_status_g

UB gclib.GDataRecord52000.ethernet_status_g

Ethernet Handle G Status.

Definition at line 1160 of file gclib.cs.

## ◆ ethernet_status_h

UB gclib.GDataRecord52000.ethernet_status_h

Ethernet Handle H Status.

Definition at line 1161 of file gclib.cs.

## ◆ error_code

UB gclib.GDataRecord52000.error_code

error code.

Definition at line 1163 of file gclib.cs.

## ◆ thread_status

UB gclib.GDataRecord52000.thread_status

thread status

Definition at line 1164 of file gclib.cs.

## ◆ amplifier_status

UL gclib.GDataRecord52000.amplifier_status

Amplifier Status.

Definition at line 1165 of file gclib.cs.

## ◆ contour_segment_count

UL gclib.GDataRecord52000.contour_segment_count

Segment Count for Contour Mode.

Definition at line 1167 of file gclib.cs.

## ◆ contour_buffer_available

UW gclib.GDataRecord52000.contour_buffer_available

Buffer space remaining, Contour Mode.

Definition at line 1168 of file gclib.cs.

## ◆ s_plane_segment_count

UW gclib.GDataRecord52000.s_plane_segment_count

segment count of coordinated move for S plane.

Definition at line 1170 of file gclib.cs.

## ◆ s_plane_move_status

UW gclib.GDataRecord52000.s_plane_move_status

coordinated move status for S plane.

Definition at line 1171 of file gclib.cs.

## ◆ s_distance

SL gclib.GDataRecord52000.s_distance

distance traveled in coordinated move for S plane.

Definition at line 1172 of file gclib.cs.

## ◆ s_plane_buffer_available

UW gclib.GDataRecord52000.s_plane_buffer_available

Buffer space remaining, S Plane.

Definition at line 1173 of file gclib.cs.

## ◆ t_plane_segment_count

UW gclib.GDataRecord52000.t_plane_segment_count

segment count of coordinated move for T plane.

Definition at line 1175 of file gclib.cs.

## ◆ t_plane_move_status

UW gclib.GDataRecord52000.t_plane_move_status

Coordinated move status for T plane.

Definition at line 1176 of file gclib.cs.

## ◆ t_distance

SL gclib.GDataRecord52000.t_distance

distance traveled in coordinated move for T plane.

Definition at line 1177 of file gclib.cs.

## ◆ t_plane_buffer_available

UW gclib.GDataRecord52000.t_plane_buffer_available

Buffer space remaining, T Plane.

Definition at line 1178 of file gclib.cs.

## ◆ axis_a_status

UW gclib.GDataRecord52000.axis_a_status

A axis status.

Definition at line 1180 of file gclib.cs.

## ◆ axis_a_switches

UB gclib.GDataRecord52000.axis_a_switches

A axis switches.

Definition at line 1181 of file gclib.cs.

## ◆ axis_a_stop_code

UB gclib.GDataRecord52000.axis_a_stop_code

A axis stop code.

Definition at line 1182 of file gclib.cs.

## ◆ axis_a_reference_position

SL gclib.GDataRecord52000.axis_a_reference_position

A axis reference position.

Definition at line 1183 of file gclib.cs.

## ◆ axis_a_motor_position

SL gclib.GDataRecord52000.axis_a_motor_position

A axis motor position.

Definition at line 1184 of file gclib.cs.

## ◆ axis_a_position_error

SL gclib.GDataRecord52000.axis_a_position_error

A axis position error.

Definition at line 1185 of file gclib.cs.

## ◆ axis_a_aux_position

SL gclib.GDataRecord52000.axis_a_aux_position

A axis auxiliary position.

Definition at line 1186 of file gclib.cs.

## ◆ axis_a_velocity

SL gclib.GDataRecord52000.axis_a_velocity

A axis velocity.

Definition at line 1187 of file gclib.cs.

## ◆ axis_a_torque

SL gclib.GDataRecord52000.axis_a_torque

A axis torque.

Definition at line 1188 of file gclib.cs.

## ◆ axis_a_analog_in

UW gclib.GDataRecord52000.axis_a_analog_in

A axis analog input.

Definition at line 1189 of file gclib.cs.

## ◆ axis_a_halls

UB gclib.GDataRecord52000.axis_a_halls

A Hall Input Status.

Definition at line 1190 of file gclib.cs.

## ◆ axis_a_reserved

UB gclib.GDataRecord52000.axis_a_reserved

Reserved.

Definition at line 1191 of file gclib.cs.

## ◆ axis_a_variable

SL gclib.GDataRecord52000.axis_a_variable

A User-defined variable (ZA).

Definition at line 1192 of file gclib.cs.

## ◆ axis_b_status

UW gclib.GDataRecord52000.axis_b_status

B axis status.

Definition at line 1194 of file gclib.cs.

## ◆ axis_b_switches

UB gclib.GDataRecord52000.axis_b_switches

B axis switches.

Definition at line 1195 of file gclib.cs.

## ◆ axis_b_stop_code

UB gclib.GDataRecord52000.axis_b_stop_code

B axis stop code.

Definition at line 1196 of file gclib.cs.

## ◆ axis_b_reference_position

SL gclib.GDataRecord52000.axis_b_reference_position

B axis reference position.

Definition at line 1197 of file gclib.cs.

## ◆ axis_b_motor_position

SL gclib.GDataRecord52000.axis_b_motor_position

B axis motor position.

Definition at line 1198 of file gclib.cs.

## ◆ axis_b_position_error

SL gclib.GDataRecord52000.axis_b_position_error

B axis position error.

Definition at line 1199 of file gclib.cs.

## ◆ axis_b_aux_position

SL gclib.GDataRecord52000.axis_b_aux_position

B axis auxiliary position.

Definition at line 1200 of file gclib.cs.

## ◆ axis_b_velocity

SL gclib.GDataRecord52000.axis_b_velocity

B axis velocity.

Definition at line 1201 of file gclib.cs.

## ◆ axis_b_torque

SL gclib.GDataRecord52000.axis_b_torque

B axis torque.

Definition at line 1202 of file gclib.cs.

## ◆ axis_b_analog_in

UW gclib.GDataRecord52000.axis_b_analog_in

B axis analog input.

Definition at line 1203 of file gclib.cs.

## ◆ axis_b_halls

UB gclib.GDataRecord52000.axis_b_halls

B Hall Input Status.

Definition at line 1204 of file gclib.cs.

## ◆ axis_b_reserved

UB gclib.GDataRecord52000.axis_b_reserved

Reserved.

Definition at line 1205 of file gclib.cs.

## ◆ axis_b_variable

SL gclib.GDataRecord52000.axis_b_variable

B User-defined variable (ZA).

Definition at line 1206 of file gclib.cs.

## ◆ axis_c_status

UW gclib.GDataRecord52000.axis_c_status

C axis status.

Definition at line 1208 of file gclib.cs.

## ◆ axis_c_switches

UB gclib.GDataRecord52000.axis_c_switches

C axis switches.

Definition at line 1209 of file gclib.cs.

## ◆ axis_c_stop_code

UB gclib.GDataRecord52000.axis_c_stop_code

C axis stop code.

Definition at line 1210 of file gclib.cs.

## ◆ axis_c_reference_position

SL gclib.GDataRecord52000.axis_c_reference_position

C axis reference position.

Definition at line 1211 of file gclib.cs.

## ◆ axis_c_motor_position

SL gclib.GDataRecord52000.axis_c_motor_position

C axis motor position.

Definition at line 1212 of file gclib.cs.

## ◆ axis_c_position_error

SL gclib.GDataRecord52000.axis_c_position_error

C axis position error.

Definition at line 1213 of file gclib.cs.

## ◆ axis_c_aux_position

SL gclib.GDataRecord52000.axis_c_aux_position

C axis auxiliary position.

Definition at line 1214 of file gclib.cs.

## ◆ axis_c_velocity

SL gclib.GDataRecord52000.axis_c_velocity

C axis velocity.

Definition at line 1215 of file gclib.cs.

## ◆ axis_c_torque

SL gclib.GDataRecord52000.axis_c_torque

C axis torque.

Definition at line 1216 of file gclib.cs.

## ◆ axis_c_analog_in

UW gclib.GDataRecord52000.axis_c_analog_in

C axis analog input.

Definition at line 1217 of file gclib.cs.

## ◆ axis_c_halls

UB gclib.GDataRecord52000.axis_c_halls

C Hall Input Status.

Definition at line 1218 of file gclib.cs.

## ◆ axis_c_reserved

UB gclib.GDataRecord52000.axis_c_reserved

Reserved.

Definition at line 1219 of file gclib.cs.

## ◆ axis_c_variable

SL gclib.GDataRecord52000.axis_c_variable

C User-defined variable (ZA).

Definition at line 1220 of file gclib.cs.

## ◆ axis_d_status

UW gclib.GDataRecord52000.axis_d_status

D axis status.

Definition at line 1222 of file gclib.cs.

## ◆ axis_d_switches

UB gclib.GDataRecord52000.axis_d_switches

D axis switches.

Definition at line 1223 of file gclib.cs.

## ◆ axis_d_stop_code

UB gclib.GDataRecord52000.axis_d_stop_code

D axis stop code.

Definition at line 1224 of file gclib.cs.

## ◆ axis_d_reference_position

SL gclib.GDataRecord52000.axis_d_reference_position

D axis reference position.

Definition at line 1225 of file gclib.cs.

## ◆ axis_d_motor_position

SL gclib.GDataRecord52000.axis_d_motor_position

D axis motor position.

Definition at line 1226 of file gclib.cs.

## ◆ axis_d_position_error

SL gclib.GDataRecord52000.axis_d_position_error

D axis position error.

Definition at line 1227 of file gclib.cs.

## ◆ axis_d_aux_position

SL gclib.GDataRecord52000.axis_d_aux_position

D axis auxiliary position.

Definition at line 1228 of file gclib.cs.

## ◆ axis_d_velocity

SL gclib.GDataRecord52000.axis_d_velocity

D axis velocity.

Definition at line 1229 of file gclib.cs.

## ◆ axis_d_torque

SL gclib.GDataRecord52000.axis_d_torque

D axis torque.

Definition at line 1230 of file gclib.cs.

## ◆ axis_d_analog_in

UW gclib.GDataRecord52000.axis_d_analog_in

D axis analog input.

Definition at line 1231 of file gclib.cs.

## ◆ axis_d_halls

UB gclib.GDataRecord52000.axis_d_halls

D Hall Input Status.

Definition at line 1232 of file gclib.cs.

## ◆ axis_d_reserved

UB gclib.GDataRecord52000.axis_d_reserved

Reserved.

Definition at line 1233 of file gclib.cs.

## ◆ axis_d_variable

SL gclib.GDataRecord52000.axis_d_variable

D User-defined variable (ZA).

Definition at line 1234 of file gclib.cs.

## ◆ axis_e_status

UW gclib.GDataRecord52000.axis_e_status

E axis status.

Definition at line 1236 of file gclib.cs.

## ◆ axis_e_switches

UB gclib.GDataRecord52000.axis_e_switches

E axis switches.

Definition at line 1237 of file gclib.cs.

## ◆ axis_e_stop_code

UB gclib.GDataRecord52000.axis_e_stop_code

E axis stop code.

Definition at line 1238 of file gclib.cs.

## ◆ axis_e_reference_position

SL gclib.GDataRecord52000.axis_e_reference_position

E axis reference position.

Definition at line 1239 of file gclib.cs.

## ◆ axis_e_motor_position

SL gclib.GDataRecord52000.axis_e_motor_position

E axis motor position.

Definition at line 1240 of file gclib.cs.

## ◆ axis_e_position_error

SL gclib.GDataRecord52000.axis_e_position_error

E axis position error.

Definition at line 1241 of file gclib.cs.

## ◆ axis_e_aux_position

SL gclib.GDataRecord52000.axis_e_aux_position

E axis auxiliary position.

Definition at line 1242 of file gclib.cs.

## ◆ axis_e_velocity

SL gclib.GDataRecord52000.axis_e_velocity

E axis velocity.

Definition at line 1243 of file gclib.cs.

## ◆ axis_e_torque

SL gclib.GDataRecord52000.axis_e_torque

E axis torque.

Definition at line 1244 of file gclib.cs.

## ◆ axis_e_analog_in

UW gclib.GDataRecord52000.axis_e_analog_in

E axis analog input.

Definition at line 1245 of file gclib.cs.

## ◆ axis_e_halls

UB gclib.GDataRecord52000.axis_e_halls

E Hall Input Status.

Definition at line 1246 of file gclib.cs.

## ◆ axis_e_reserved

UB gclib.GDataRecord52000.axis_e_reserved

Reserved.

Definition at line 1247 of file gclib.cs.

## ◆ axis_e_variable

SL gclib.GDataRecord52000.axis_e_variable

E User-defined variable (ZA).

Definition at line 1248 of file gclib.cs.

## ◆ axis_f_status

UW gclib.GDataRecord52000.axis_f_status

F axis status.

Definition at line 1250 of file gclib.cs.

## ◆ axis_f_switches

UB gclib.GDataRecord52000.axis_f_switches

F axis switches.

Definition at line 1251 of file gclib.cs.

## ◆ axis_f_stop_code

UB gclib.GDataRecord52000.axis_f_stop_code

F axis stop code.

Definition at line 1252 of file gclib.cs.

## ◆ axis_f_reference_position

SL gclib.GDataRecord52000.axis_f_reference_position

F axis reference position.

Definition at line 1253 of file gclib.cs.

## ◆ axis_f_motor_position

SL gclib.GDataRecord52000.axis_f_motor_position

F axis motor position.

Definition at line 1254 of file gclib.cs.

## ◆ axis_f_position_error

SL gclib.GDataRecord52000.axis_f_position_error

F axis position error.

Definition at line 1255 of file gclib.cs.

## ◆ axis_f_aux_position

SL gclib.GDataRecord52000.axis_f_aux_position

F axis auxiliary position.

Definition at line 1256 of file gclib.cs.

## ◆ axis_f_velocity

SL gclib.GDataRecord52000.axis_f_velocity

F axis velocity.

Definition at line 1257 of file gclib.cs.

## ◆ axis_f_torque

SL gclib.GDataRecord52000.axis_f_torque

F axis torque.

Definition at line 1258 of file gclib.cs.

## ◆ axis_f_analog_in

UW gclib.GDataRecord52000.axis_f_analog_in

F axis analog input.

Definition at line 1259 of file gclib.cs.

## ◆ axis_f_halls

UB gclib.GDataRecord52000.axis_f_halls

F Hall Input Status.

Definition at line 1260 of file gclib.cs.

## ◆ axis_f_reserved

UB gclib.GDataRecord52000.axis_f_reserved

Reserved.

Definition at line 1261 of file gclib.cs.

## ◆ axis_f_variable

SL gclib.GDataRecord52000.axis_f_variable

F User-defined variable (ZA).

Definition at line 1262 of file gclib.cs.

## ◆ axis_g_status

UW gclib.GDataRecord52000.axis_g_status

G axis status.

Definition at line 1264 of file gclib.cs.

## ◆ axis_g_switches

UB gclib.GDataRecord52000.axis_g_switches

G axis switches.

Definition at line 1265 of file gclib.cs.

## ◆ axis_g_stop_code

UB gclib.GDataRecord52000.axis_g_stop_code

G axis stop code.

Definition at line 1266 of file gclib.cs.

## ◆ axis_g_reference_position

SL gclib.GDataRecord52000.axis_g_reference_position

G axis reference position.

Definition at line 1267 of file gclib.cs.

## ◆ axis_g_motor_position

SL gclib.GDataRecord52000.axis_g_motor_position

G axis motor position.

Definition at line 1268 of file gclib.cs.

## ◆ axis_g_position_error

SL gclib.GDataRecord52000.axis_g_position_error

G axis position error.

Definition at line 1269 of file gclib.cs.

## ◆ axis_g_aux_position

SL gclib.GDataRecord52000.axis_g_aux_position

G axis auxiliary position.

Definition at line 1270 of file gclib.cs.

## ◆ axis_g_velocity

SL gclib.GDataRecord52000.axis_g_velocity

G axis velocity.

Definition at line 1271 of file gclib.cs.

## ◆ axis_g_torque

SL gclib.GDataRecord52000.axis_g_torque

G axis torque.

Definition at line 1272 of file gclib.cs.

## ◆ axis_g_analog_in

UW gclib.GDataRecord52000.axis_g_analog_in

G axis analog input.

Definition at line 1273 of file gclib.cs.

## ◆ axis_g_halls

UB gclib.GDataRecord52000.axis_g_halls

G Hall Input Status.

Definition at line 1274 of file gclib.cs.

## ◆ axis_g_reserved

UB gclib.GDataRecord52000.axis_g_reserved

Reserved.

Definition at line 1275 of file gclib.cs.

## ◆ axis_g_variable

SL gclib.GDataRecord52000.axis_g_variable

G User-defined variable (ZA).

Definition at line 1276 of file gclib.cs.

## ◆ axis_h_status

UW gclib.GDataRecord52000.axis_h_status

H axis status.

Definition at line 1278 of file gclib.cs.

## ◆ axis_h_switches

UB gclib.GDataRecord52000.axis_h_switches

H axis switches.

Definition at line 1279 of file gclib.cs.

## ◆ axis_h_stop_code

UB gclib.GDataRecord52000.axis_h_stop_code

H axis stop code.

Definition at line 1280 of file gclib.cs.

## ◆ axis_h_reference_position

SL gclib.GDataRecord52000.axis_h_reference_position

H axis reference position.

Definition at line 1281 of file gclib.cs.

## ◆ axis_h_motor_position

SL gclib.GDataRecord52000.axis_h_motor_position

H axis motor position.

Definition at line 1282 of file gclib.cs.

## ◆ axis_h_position_error

SL gclib.GDataRecord52000.axis_h_position_error

H axis position error.

Definition at line 1283 of file gclib.cs.

## ◆ axis_h_aux_position

SL gclib.GDataRecord52000.axis_h_aux_position

H axis auxiliary position.

Definition at line 1284 of file gclib.cs.

## ◆ axis_h_velocity

SL gclib.GDataRecord52000.axis_h_velocity

H axis velocity.

Definition at line 1285 of file gclib.cs.

## ◆ axis_h_torque

SL gclib.GDataRecord52000.axis_h_torque

H axis torque.

Definition at line 1286 of file gclib.cs.

## ◆ axis_h_analog_in

UW gclib.GDataRecord52000.axis_h_analog_in

H axis analog input.

Definition at line 1287 of file gclib.cs.

## ◆ axis_h_halls

UB gclib.GDataRecord52000.axis_h_halls

H Hall Input Status.

Definition at line 1288 of file gclib.cs.

## ◆ axis_h_reserved

UB gclib.GDataRecord52000.axis_h_reserved

Reserved.

Definition at line 1289 of file gclib.cs.

## ◆ axis_h_variable

SL gclib.GDataRecord52000.axis_h_variable

H User-defined variable (ZA).

Definition at line 1290 of file gclib.cs.

The documentation for this struct was generated from the following file:

- gclib.cs